Bug 36750

Summary: [Qt] Package build without touch support is broken
Product: WebKit Reporter: Simon Hausmann <hausmann>
Component: DOMAssignee: Simon Hausmann <hausmann>
Status: CLOSED FIXED    
Severity: Blocker CC: gns, jturcotte, laszlo.gombos, webkit.review.bot, xan.lopez
Priority: P1 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 37149    
Bug Blocks: 35784    
Attachments:
Description Flags
Patch laszlo.gombos: review+, eric: commit-queue-

Description Simon Hausmann 2010-03-29 02:32:35 PDT
The IDL files Document.idl, Element.idl and DOMWindow.idl define touch event related properties depending on the ENABLE_TOUCH_EVENTS feature define.

The conditional build is done using an #ifdef inside the idl file. That makes the generated sources depend on the setting at idl generation time, which breaks the package build where all files are pre-generated but it's possible to disable certain features. For example touch support is disabled when compiling against Qt 4.5.

The idl files should use the Conditional=TOUCH_EVENTS syntax, to place the #ifdefs into the generated code.
Comment 1 Simon Hausmann 2010-03-29 02:42:16 PDT
Created attachment 51894 [details]
Patch
Comment 2 WebKit Review Bot 2010-03-29 03:15:01 PDT
Attachment 51894 [details] did not build on gtk:
Build output: http://webkit-commit-queue.appspot.com/results/1592046
Comment 3 Simon Hausmann 2010-03-29 03:40:57 PDT
(In reply to comment #2)
> Attachment 51894 [details] did not build on gtk:
> Build output: http://webkit-commit-queue.appspot.com/results/1592046

It looks like the Gtk EWS needs a clean rebuild.
Comment 4 Laszlo Gombos 2010-03-30 18:27:01 PDT
Comment on attachment 51894 [details]
Patch

LGTM, r+. Have not set to the cq flag yet, as it seems that this needs some extra (manual) care when landed.
Comment 5 Eric Seidel (no email) 2010-04-02 11:50:56 PDT
Comment on attachment 51894 [details]
Patch

Extra manual care means cq-.

Also looks like this might cause Gtk and Mac to fail to build, which would mean r-.  I'm not sure why the mac failed since it didn't produce a log.  Sadly we don't yet have a way to re-queue a patch on the EWS.
Comment 6 Simon Hausmann 2010-04-06 06:45:31 PDT
The error is real, the EWS worked correctly :-)

I've filed 37149 to fix the bindings generator bug first before landing this.
Comment 7 Simon Hausmann 2010-04-07 05:50:00 PDT
<cherry-pick-for-backport: 57204>
Comment 8 Simon Hausmann 2010-04-07 06:23:46 PDT
Committed r57205: <http://trac.webkit.org/changeset/57205>
Comment 9 Simon Hausmann 2010-04-07 06:45:15 PDT
Revision r57204 cherry-picked into qtwebkit-2.0 with commit f544a8b519878c81f454876d80e1cd17a2f876ebRevision r57205 cherry-picked into qtwebkit-2.0 with commit 181033d9a0e7d1a6b1fed2dfff0cbc563e9a958c